# Maintainer: Mark Wagie <mark dot wagie at tutanota dot com>
# Modify by Rafael from azul unofficial repository

pkgname=gnome-shell-extension-custom-accent-colors
pkgver=6
pkgrel=1.1
commitn=94fadf66c8ba20b1dd2a4973b29126d27720ab2c
ename=custom-accent-colors@demiskp
pkgdesc="Set a custom accent color for GTK4/GTK3 apps and GNOME Shell"
arch=('any')
url="https://github.com/demiskp/custom-accent-colors"
license=('GPL3')
depends=('adw-gtk3' 'gnome-shell')
makedepends=('git')
provides=("${pkgname}")
conflicts=("${pkgname}")
source=("git+${url}#commit=${commitn}")
sha256sums=('SKIP')

prepare() {
  cd "${srcdir}/custom-accent-colors"
}

package() {
  cd "${srcdir}/custom-accent-colors"

  install -d "${pkgdir}/usr/share/gnome-shell/extensions"
  cp -r "${ename}" "${pkgdir}/usr/share/gnome-shell/extensions/"

  install -Dm644 "${ename}/schemas/org.gnome.shell.extensions.custom-accent-colors.gschema.xml" -t \
    "$pkgdir/usr/share/glib-2.0/schemas/"
  rm -rf "$pkgdir/usr/share/gnome-shell/extensions/${ename}/schemas"
}
